Loading...
Searching...
No Matches
Ui::CEdit Class Reference
Inheritance diagram for Ui::CEdit:
[legend]

## Public Member Functions

| CEdit ()
| Object's constructor.
bool | Create (Math::Point pos, Math::Point dim, int icon, EventType eventType) override
void | SetPos (Math::Point pos) override
void | SetDim (Math::Point dim) override
bool | EventProcess (const Event &event) override
void | Draw () override
void | SetText (const std::string &text, bool bNew=true)
std::string | GetText (int max)
const std::string & | GetText ()
int | GetTextLength ()
bool | ReadText (std::string filename)
bool | WriteText (std::string filename)
void | SetMaxChar (int max)
int | GetMaxChar ()
void | SetEditCap (bool bMode)
bool | GetEditCap ()
void | SetHighlightCap (bool bEnable)
bool | GetHighlightCap ()
void | SetInsideScroll (bool bInside)
bool | GetInsideScroll ()
void | SetSoluceMode (bool bSoluce)
bool | GetSoluceMode ()
void | SetGenericMode (bool bGeneric)
bool | GetGenericMode ()
void | SetAutoIndent (bool bMode)
bool | GetAutoIndent ()
void | SetCursor (int cursor1, int cursor2)
void | GetCursor (int &cursor1, int &cursor2)
void | SetFirstLine (int rank)
int | GetFirstLine ()
void | ShowSelect ()
void | SetDisplaySpec (bool bDisplay)
bool | GetDisplaySpec ()
void | SetMultiFont (bool bMulti)
bool | GetMultiFont ()
bool | Cut ()
bool | Copy (bool memorize_cursor=false)
bool | Paste ()
bool | Undo ()
void | HyperFlush ()
void | HyperHome (std::string filename)
bool | HyperTest (EventType event)
bool | HyperGo (EventType event)
void | SetFontSize (float size) override
bool | ClearFormat ()
bool | SetFormat (int cursor1, int cursor2, int format)
Public Member Functions inherited from Ui::CControl
virtual Math::Point | GetPos ()
virtual Math::Point | GetDim ()
virtual bool | SetState (int state, bool bState)
virtual bool | SetState (int state)
virtual bool | ClearState (int state)
virtual bool | TestState (int state)
virtual int | GetState ()
virtual void | SetIcon (int icon)
virtual int | GetIcon ()
virtual void | SetName (std::string name, bool bTooltip=true)
virtual std::string | GetName ()
virtual void | SetTextAlign (Gfx::TextAlign mode)
virtual int | GetTextAlign ()
virtual float | GetFontSize ()
virtual void | SetFontStretch (float stretch)
virtual float | GetFontStretch ()
virtual void | SetFontType (Gfx::FontType font)
virtual Gfx::FontType | GetFontType ()
virtual bool | SetTooltip (std::string name)
virtual bool | GetTooltip (Math::Point pos, std::string &name)
virtual bool | GetFocus ()
virtual EventType | GetEventType ()

## Protected Member Functions

void | SendModifEvent ()
bool | IsLinkPos (Math::Point pos)
void | MouseDoubleClick (Math::Point mouse)
void | MouseClick (Math::Point mouse)
void | MouseMove (Math::Point mouse)
void | MouseRelease (Math::Point mouse)
int | MouseDetect (Math::Point mouse)
void | MoveAdjust ()
void | HyperJump (std::string name, std::string marker)
bool | HyperAdd (std::string filename, int firstLine)
void | DrawImage (Math::Point pos, std::string name, float width, float offset, float height, int nbLine)
void | DrawBack (Math::Point pos, Math::Point dim)
void | DrawHorizontalGradient (Math::Point pos, Math::Point dim, Gfx::Color color1, Gfx::Color color2)
void | DrawColor (Math::Point pos, Math::Point dim, Gfx::Color color)
void | FreeImage ()
void | Scroll (int pos, bool bAdjustCursor)
void | Scroll ()
void | MoveChar (int move, bool bWord, bool bSelect)
void | MoveLine (int move, bool bWord, bool bSelect)
void | MoveHome (bool bWord, bool bSelect)
void | MoveEnd (bool bWord, bool bSelect)
void | ColumnFix ()
void | Insert (char character)
void | InsertOne (char character)
void | Delete (int dir)
void | DeleteOne (int dir)
void | DeleteWord (int dir)
int | IndentCompute ()
int | IndentTabCount ()
void | IndentTabAdjust (int number)
bool | Shift (bool bLeft)
bool | MinMaj (bool bMaj)
void | Justif ()
int | GetCursorLine (int cursor)
void | UndoFlush ()
void | UndoMemorize (OperUndo oper)
bool | UndoRecall ()
void | UpdateScroll ()
void | SetFocus (CControl *control) override
void | UpdateFocus ()
void | GetIndentedText (std::ostream &stream, int start, int end)
Protected Member Functions inherited from Ui::CControl
void | GlintDelete ()
void | GlintCreate (Math::Point ref, bool bLeft=true, bool bUp=true)
void | GlintFrame (const Event &event)
void | DrawPart (int icon, float zoom, float ex)
void | DrawIcon (Math::Point pos, Math::Point dim, Math::Point uv1, Math::Point uv2, float ex=0.0f)
void | DrawIcon (Math::Point pos, Math::Point dim, Math::Point uv1, Math::Point uv2, Math::Point corner, float ex)
void | DrawWarning (Math::Point pos, Math::Point dim)
void | DrawShadow (Math::Point pos, Math::Point dim, float deep=1.0f)
virtual bool | Detect (Math::Point pos)
std::string | GetResourceName (EventType eventType)
int | SetButtonTextureForIcon (int icon)
| Set texture in m_engine to correct buttonX.png for given icon.

## Protected Attributes

std::unique_ptr< CScroll > | m_scroll
int | m_maxChar
std::string | m_text
std::vector< Gfx::FontMetaChar > | m_format
int | m_len
int | m_cursor1
int | m_cursor2
bool | m_bMulti
bool | m_bEdit
bool | m_bHilite
bool | m_bInsideScroll
bool | m_bDisplaySpec
bool | m_bMultiFont
bool | m_bSoluce
bool | m_bGeneric
bool | m_bAutoIndent
float | m_lineHeight
float | m_lineAscent
float | m_lineDescent
int | m_lineVisible
int | m_lineFirst
int | m_lineTotal
std::vector< int > | m_lineOffset
std::vector< char > | m_lineIndent
std::vector< ImageLine > | m_image
std::vector< HyperLink > | m_link
std::vector< HyperMarker > | m_marker
int | m_historyTotal
int | m_historyCurrent
std::array< HyperHistory, EDITHISTORYMAX > | m_history
float | m_time
float | m_timeBlink
float | m_timeLastClick
float | m_timeLastScroll
Math::Point | m_mouseFirstPos
Math::Point | m_mouseLastPos
float | m_column
bool | m_bCapture
bool | m_bUndoForce
OperUndo | m_undoOper
std::array< EditUndo, EDITUNDOMAX > | m_undo
Protected Attributes inherited from Ui::CControl
Gfx::CEngine * | m_engine
Gfx::CParticle * | m_particle
CEventQueue * | m_event
CRobotMain * | m_main
CSoundInterface * | m_sound
CSettings * | m_settings
Math::Point | m_pos
Math::Point | m_dim
int | m_icon
EventType | m_eventType
int | m_state
float | m_fontSize
float | m_fontStretch
Gfx::FontType | m_fontType
Gfx::TextAlign | m_textAlign
std::string | m_name
std::string | m_tooltip
bool | m_bFocus
bool | m_bCapture
bool | m_bGlint
Math::Point | m_glintCorner1
Math::Point | m_glintCorner2
float | m_glintProgress
Math::Point | m_glintMouse

## Constructor & Destructor Documentation

## CEdit()

Ui::CEdit::CEdit | ( |  | ) |

Object's constructor.

## Member Function Documentation

## Create()

bool Ui::CEdit::Create | ( | Math::Point | pos,
|  | Math::Point | dim,
|  | int | icon,
|  | EventType | eventType )

override virtual

Reimplemented from Ui::CControl.

## SetPos()

void Ui::CEdit::SetPos | ( | Math::Point | pos | ) |

override virtual

Reimplemented from Ui::CControl.

## SetDim()

void Ui::CEdit::SetDim | ( | Math::Point | dim | ) |

override virtual

Reimplemented from Ui::CControl.

## EventProcess()

bool Ui::CEdit::EventProcess | ( | const Event & | event | ) |

override virtual

Reimplemented from Ui::CControl.

## Draw()

void Ui::CEdit::Draw | ( |  | ) |

override virtual

Reimplemented from Ui::CControl.

## SetFontSize()

void Ui::CEdit::SetFontSize | ( | float | size | ) |

override virtual

Reimplemented from Ui::CControl.

## SetFocus()

void Ui::CEdit::SetFocus | ( | CControl * | control | ) |

override protected virtual

Reimplemented from Ui::CControl.

The documentation for this class was generated from the following files:

- src/ui/controls/edit.h
- src/ui/controls/edit.cpp